@font-face {
	font-family: "Icons";
	src: url("/public/icons.otf");
}
@font-face {
	font-family: "Bauer";
	src: url("/adbuilder/BauerMediaSans-Regular.woff2");
}
@font-face {
	font-family: "BauerBold";
	src: url("/adbuilder/BauerMediaSans-Bold.woff2");
}

:root {
	font-size: 1em;
}

body {
	margin: 0;
	padding: 0;
	font-family: "Bauer";
	box-sizing: border-box;
	color: #360092;
	background-color: #ffffff;
}

p.heading {
	font-size: 1.2em;
	font-family: "BauerBold";
}
p.last {
	margin: 1em 0 0 0;
}

a,
a:visited {
	color: #ff6bbe;
}
[data-clickable="true"] {
	cursor: pointer;
	color: #ff6bbe;
	text-decoration: underline;
}

/* ~~~~~~~~~~~ */
/* Page Styles */
/* ~~~~~~~~~~~ */

div#pageContainer {
	display: flex;
	justify-content: center;
}

div#pageContainer div#page {
	max-width: 1500px;
	background: right 80px bottom 0 no-repeat url("/adbuilder/purple-bg.svg");
	background-size: 30%;
}

div#pageContainer div#page div#pageHead {
	display: grid;
	background-color: #360092;
	color: #ffffff;
	height: 6em;
}
div#pageContainer div#page div#pageHead[data-zones="3"] {
	grid-template-columns: 180px auto 240px;
}
div#pageContainer div#page div#pageHead div#pageHeadLogo {
	display: flex;
	align-items: center;
	justify-content: center;
}
div#pageContainer div#page div#pageHead div#pageHeadInfo {
	display: flex;
	align-items: center;
	justify-content: center;
}
@media (min-width: 768px) and (max-width: 1023px) {
	div#pageContainer div#page div#pageHead div#pageHeadInfo {
		font-size: 2em;
	}
	div#page div#pageFoot div.info {
		font-size: 2em;
	}
}
@media (min-width: 1024px) and (max-width: 1279px) {
	div#pageContainer div#page div#pageHead div#pageHeadInfo {
		font-size: 2.5em;
	}
	div#page div#pageFoot div.info {
		font-size: 2.5em;
	}
}
@media (min-width: 1280px) {
	div#pageContainer div#page div#pageHead div#pageHeadInfo {
		font-size: 3em;
	}
	div#page div#pageFoot div.info {
		font-size: 3em;
	}
}
div#pageContainer div#page div#pageHead div#pageHeadFunc {
	position: relative;
}
div#pageContainer div#page div#pageHead div#pageHeadFunc div.content {
	position: absolute;
	bottom: 0;
	right: 0;
}
div#pageContainer div#page div#pageHead div#pageHeadFunc a {
	color: #ffffff;
	text-decoration: none;
}
div#pageContainer div#page div#pageHead div#pageHeadFunc a:visited {
	color: #ffffff;
}

div#pageContainer div#page div#pageHeadSub {
	margin: 0.5em 0 0 0;
	height: 86px;
	background-image: url("banner.jpg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
}

div#page div#pageBody {
	margin: 2em 0 0 0;
}

div#page div#pageFoot {
	background-color: #360092;
	color: #ffffff;
	margin: 4em 0 0 0;
	padding: 2em;
}

div#page div#pageFoot div#main {
	display: grid;
	grid-template-columns: auto 480px;
}
div#page div#pageFoot div#main div.info {
	font-family: BauerBold;
}
div#page div#pageFoot div#main div.links {
	position: relative;
}
div#page div#pageFoot div#main div.linksContainer {
	position: absolute;
	bottom: 0;
}

div#page div#pageFoot hr {
	border: 1px solid #ffffff;
}

/* ~~~~~~~~~~~ */
/* Card Styles */
/* ~~~~~~~~~~~ */

div.container {
	vertical-align: top;
	display: inline-block;
	margin: 1em;
}

div.card {
	display: inline-block;
	position: relative;
	padding: 1em;
	vertical-align: top;
	border-radius: 12px;
	border: 2px solid #360092;
	background-color: #ede9fe;
}
div.card > h1 {
	font-size: 1.5em;
	font-weight: normal;
	font-family: "BauerBold";
	margin: -0.75em -0.75em 0.75em -0.75em;
	padding: 1em;
	border-radius: 12px 12px 0 0;
	background-color: #360092;
	color: #ffffff;
}
div.card > h2 {
	font-size: 1.2em;
	font-weight: normal;
	font-family: "BauerBold";
	margin: 0;
	padding: 0;
}
div.card > h3 {
	font-size: 1em;
	font-weight: normal;
	font-family: "BauerBold";
	margin: 0;
	padding: 0;
}
div.card[data-height="1"] {
	box-shadow: 0 0 2em 0.1em #eae5fc;
}
div.card#info {
	margin: 0 0 1em 0;
}

/* ~~~~~~~~~~~ */
/* Menu Styles */
/* ~~~~~~~~~~~ */

span.menu {
	cursor: pointer;
	display: inline-block;
	text-align: left;
	white-space: nowrap;
}
td span.menu {
	width: 100%;
}

span.menu i {
	margin-left: 4px;
}

div.menu {
	display: inline-block;
	position: absolute;
	min-width: 160px;
	background-color: #fff;
	visibility: hidden;
	z-index: 500;
	background-color: #fff;
	box-shadow: 0 0 16px 4px rgba(0, 0, 0, 0.5);
	font-weight: normal;
	font-family: "Bauer";
}
div.menu div.item {
	padding: 7px 28px 7px 14px;
	position: relative;
	white-space: nowrap;
}
div.menu div.item[data-clickable="true"]:hover {
	background-color: #ddd6fd;
	color: #400094;
}
div.menu div.item a {
	margin: -7px;
	padding: 7px;
	display: block;
	width: 100%;
	text-decoration: none;
	color: inherit;
}
div.menu div.item i.menu {
	position: absolute;
	right: 14px;
}
div.menu div.info {
	padding: 14px;
}

div.menugroup {
	font-family: "BauerBold";
	margin: -7px -28px -7px -14px;
	padding: 4px;
}

/* ~~~~~~~~~~~~~ */
/* Button Styles */
/* ~~~~~~~~~~~~~ */

button {
	font-size: 100%;
	margin: 8px 8px 0 0;
	border-radius: 8px;
	padding: 7px;
}
button:hover {
}
button:active {
}
button:focus {
	outline: none;
}
button:disabled {
}

button {
	font-size: 1em;
	margin: 0.5em 0.5em 0 0;
	border-radius: 0.5em;
	color: #ffffff;
	background-color: #400094;
	border: 0;
	padding: 0.5em 1em;
}
button:hover {
}
button:active {
	background-color: #4d06be;
	border: 0;
}
button:disabled {
	color: #888888;
	background-color: #dddddd;
	border: 1px solid #cccccc;
}

input,
textarea,
select,
div.input {
	font-size: 1em;
	padding: 0.5em;
	color: #333;
	background-color: #f0f1f3;
	border: 1px solid #400094;
	border-radius: 6px;
}

/* ~~~~~~~~~~~ */
/* Icon Styles */
/* ~~~~~~~~~~~ */

i {
	font-size: 1em;
	position: relative;
	font-family: "Icons";
	font-weight: normal;
	font-style: normal;
	display: inline-block;
	line-height: 1;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility;
	-moz-osx-font-smoothing: grayscale;
	font-feature-settings: "liga";
	vertical-align: text-bottom;
}
i.info {
	cursor: pointer;
}
i.plus {
	top: -3px;
	right: -4px;
}
i.rotate {
	display: inline-block;
	animation: rotation 1s infinite linear;
}
@keyframes rotation {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(359deg);
	}
}

div.small {
	font-size: 0.8em;
}

/* ~~~~~~~~~~~~~ */
/* Dialog Styles */
/* ~~~~~~~~~~~~~ */

div#dialogBackground {
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 1000;
}

iframe#fulldialog {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

iframe#dialog {
	position: absolute;
	z-index: 1001;
	border-radius: 12px;
}

div#pageHead i.close {
	position: absolute;
	top: 4px;
	right: 4px;
	font-size: 16px;
	cursor: pointer;
}

div#pageHead i.closeFull {
	font-size: 16px;
	cursor: pointer;
	margin-right: 16px;
}

div#resize {
	position: fixed;
	right: 0px;
	bottom: 0px;
	width: 24px;
	height: 24px;
	cursor: se-resize;
}

div#pageFoot span.links a {
	color: #ffffff;
	text-decoration: none;
}
div#pageFoot div#main div.links a {
	color: #ffffff;
	text-decoration: none;
}
